org.apache.pdfbox.preflight.process.reflect

## Class ExtGStateValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.reflect.ExtGStateValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class ExtGStateValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`ExtGStateValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkTR2Key(PreflightContext context, org.apache.pdfbox.cos.COSDictionary egs)` Check the TR2 entry.
`protected void` `checkTRKey(PreflightContext context, org.apache.pdfbox.cos.COSDictionary egs)` Check the TR entry.
`List<org.apache.pdfbox.cos.COSDictionary>` `extractExtGStateDictionaries(PreflightContext context, org.apache.pdfbox.cos.COSDictionary egsEntry)` Create a list of ExtGState dictionaries using the given Resource dictionary and the COSDocument.
`void` `validate(PreflightContext context)` Validate the ExtGState dictionaries.
`protected void` `validateFonts(PreflightContext context, List<org.apache.pdfbox.cos.COSDictionary> listOfExtGState)` Validate fonts in all ExtGState dictionaries of this container.
`protected void` `validateTransparencyRules(PreflightContext context, List<org.apache.pdfbox.cos.COSDictionary> listOfExtGState)` Validate transparency rules in all ExtGState dictionaries of this container.

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtGStateValidationProcess

    public ExtGStateValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Validate the ExtGState dictionaries.

Parameters:
  `context` - the context which contains the Resource dictionary.
Throws:
  `ValidationException` - thrown if an Extended Graphic State isn't valid.

#### extractExtGStateDictionaries

    public List<org.apache.pdfbox.cos.COSDictionary> extractExtGStateDictionaries(PreflightContext context,
                                                                                  org.apache.pdfbox.cos.COSDictionary egsEntry)
                                                                           throws ValidationException

Create a list of ExtGState dictionaries using the given Resource dictionary and the COSDocument.

Parameters:
  `context` - the context which contains the Resource dictionary.
  `egsEntry` - a resource COSDictionary.
Returns:
  the list of ExtGState dictionaries.
Throws:
  `ValidationException` - thrown if an Extended Graphic State isn't valid.

#### validateTransparencyRules

    protected void validateTransparencyRules(PreflightContext context,
                                             List<org.apache.pdfbox.cos.COSDictionary> listOfExtGState)

Validate transparency rules in all ExtGState dictionaries of this container.

Parameters:
  `context` - the preflight context.
  `listOfExtGState` - a list of ExtGState COSDictionaries.

#### validateFonts

    protected void validateFonts(PreflightContext context,
                                 List<org.apache.pdfbox.cos.COSDictionary> listOfExtGState)
                          throws ValidationException

Validate fonts in all ExtGState dictionaries of this container.

Parameters:
  `context` - the preflight context.
  `listOfExtGState` - a list of ExtGState COSDictionaries.
Throws:
  `ValidationException`

#### checkTRKey

    protected void checkTRKey(PreflightContext context,
                              org.apache.pdfbox.cos.COSDictionary egs)

Check the TR entry. A valid ExtGState hasn't TR entry.

Parameters:
  `context` - the preflight context
  `egs` - the graphic state to check

#### checkTR2Key

    protected void checkTR2Key(PreflightContext context,
                               org.apache.pdfbox.cos.COSDictionary egs)

Check the TR2 entry. A valid ExtGState hasn't TR2 entry or a TR2 entry equals to "default".

Parameters:
  `context` - the preflight context
  `egs` - the graphic state to check